## com.baidubce.services.vod.model
Class ListMediaResourceResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.vod.model.ListMediaResourceResponse

    public class ListMediaResourceResponse

extends AbstractBceResponse

List the properties of all media resource managed by VOD service.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`ListMediaResourceResponse()`

Method Summary
`List<MediaResource>` `getMedias()`
`void` `setMedias(List<MediaResource> medias)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListMediaResourceResponse

    public ListMediaResourceResponse()

Method Detail

### getMedias

    public List<MediaResource> getMedias()

### setMedias

    public void setMedias(List<MediaResource> medias)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.